Loading...
Searching...
No Matches
Dune::CpGridTraits::Codim< cd > Struct Template Reference

Traits associated with a specific codim. More...

`#include <CpGrid.hpp>`

## Classes

struct | Partition
| Traits associated with a specific grid partition type. More...

## Public Types

typedef cpgrid::Geometry< 3-cd, 3 > | Geometry
| The type of the geometry associated with the entity.
typedef cpgrid::Geometry< 3-cd, 3 > | LocalGeometry
| The type of the local geometry associated with the entity.
typedef cpgrid::Entity< cd > | Entity
| The type of the entity.
typedef cpgrid::Iterator< cd, All_Partition > | LevelIterator
| The type of the iterator over all level entities of this codim.
typedef cpgrid::Iterator< cd, All_Partition > | LeafIterator
| The type of the iterator over all leaf entities of this codim.
typedef cpgrid::Entity< cd > | EntitySeed
| The type of the entity pointer for entities of this codim.

## Detailed Description

template<int cd>
struct Dune::CpGridTraits::Codim< cd >

Traits associated with a specific codim.

Template Parameters

  cd | The codimension.

## Member Typedef Documentation

## Geometry

template<int cd>

typedef cpgrid::Geometry<3-cd, 3> Dune::CpGridTraits::Codim< cd >::Geometry

The type of the geometry associated with the entity.

IMPORTANT: Codim<codim>::Geometry == Geometry<dim-codim,dimw>

The documentation for this struct was generated from the following file:

- opm/grid/CpGrid.hpp